Get Evaluation Rows
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"columns": [
"input",
"expected_output",
"accuracy",
"relevance"
],
"rows": [
[
{
"type": "dataset",
"value": "What is PromptLayer?"
},
{
"type": "dataset",
"value": "A prompt management platform"
},
{
"type": "eval",
"status": "PASSED",
"value": 0.95
},
{
"type": "eval",
"status": "PASSED",
"value": 0.88
}
]
],
"page": 1,
"per_page": 10,
"pages": 3,
"total": 25
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations & Reports API
Get Evaluation Rows
GET
/
api
/
public
/
v2
/
evaluations
/
{evaluation_id}
/
rows
Get Evaluation Rows
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptlayer.com/api/public/v2/evaluations/{evaluation_id}/rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"columns": [
"input",
"expected_output",
"accuracy",
"relevance"
],
"rows": [
[
{
"type": "dataset",
"value": "What is PromptLayer?"
},
{
"type": "dataset",
"value": "A prompt management platform"
},
{
"type": "eval",
"status": "PASSED",
"value": 0.95
},
{
"type": "eval",
"status": "PASSED",
"value": 0.88
}
]
],
"page": 1,
"per_page": 10,
"pages": 3,
"total": 25
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
Behavior Notes
- Each row is an array of cells matching the order of the
columnsarray. - Dataset cells contain source row values; evaluation cells contain result status, value, and optional error details.
Related
Query Parameters
Response
Paginated evaluation rows.
Was this page helpful?

